From 3034b86e3a2bdb83b782a7164780f29ff3d4a353 Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Tue, 24 Apr 2012 23:27:11 +0300
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 debian/README.source                               |   19 -
 debian/changelog                                   |   12 +
 debian/compat                                      |    2 +-
 debian/control                                     |    4 +-
 debian/patches/00list                              |   13 -
 debian/patches/10-64bit-pointer-fixes.patch        |   33 +
 ...toreconf_fix.dpatch => 10-autoreconf-fix.patch} |   10 +-
 debian/patches/10-fix-man-section.patch            |   15 +
 ...3_build_fix.dpatch => 10-gcc43-build-fix.patch} |  129 ++--
 debian/patches/10-invoke-man.patch                 |   24 +
 debian/patches/10-kernel-includes-fix.patch        |   19 +
 ..._fixes.dpatch => 10-kfreebsd-build-fixes.patch} |   27 +-
 ...gickcore_api.dpatch => 10-magickcore-api.patch} |   10 +-
 .../{10_open_mode.dpatch => 10-open-mode.patch}    |    8 +-
 debian/patches/10_64bit_pointer_fixes.dpatch       |   37 --
 debian/patches/10_fix_man_section.dpatch           |   37 --
 debian/patches/10_invoke_man.dpatch                |   46 --
 debian/patches/10_kernel_includes_fix.dpatch       |   23 -
 ..._pkgconfig.dpatch => 20-magick-pkgconfig.patch} |   12 +-
 ..._override.dpatch => 30-no-shell-override.patch} |   14 +-
 ...falt_support.dpatch => 40-hdfalt-support.patch} |   12 +-
 ...l_cleanup.dpatch => 90-usr-local-cleanup.patch} |  648 ++++++++++----------
 debian/patches/series                              |   13 +
 debian/rules                                       |   13 +-
 debian/source/format                               |    1 +
 25 files changed, 541 insertions(+), 640 deletions(-)
 delete mode 100644 debian/README.source
 delete mode 100644 debian/patches/00list
 create mode 100644 debian/patches/10-64bit-pointer-fixes.patch
 rename debian/patches/{10_autoreconf_fix.dpatch => 10-autoreconf-fix.patch} (72%)
 create mode 100644 debian/patches/10-fix-man-section.patch
 rename debian/patches/{10_gcc43_build_fix.dpatch => 10-gcc43-build-fix.patch} (60%)
 create mode 100644 debian/patches/10-invoke-man.patch
 create mode 100644 debian/patches/10-kernel-includes-fix.patch
 rename debian/patches/{10_kfreebsd_build_fixes.dpatch => 10-kfreebsd-build-fixes.patch} (55%)
 rename debian/patches/{10_magickcore_api.dpatch => 10-magickcore-api.patch} (82%)
 rename debian/patches/{10_open_mode.dpatch => 10-open-mode.patch} (86%)
 delete mode 100644 debian/patches/10_64bit_pointer_fixes.dpatch
 delete mode 100644 debian/patches/10_fix_man_section.dpatch
 delete mode 100644 debian/patches/10_invoke_man.dpatch
 delete mode 100644 debian/patches/10_kernel_includes_fix.dpatch
 rename debian/patches/{20_magick_pkgconfig.dpatch => 20-magick-pkgconfig.patch} (78%)
 rename debian/patches/{30_no_shell_override.dpatch => 30-no-shell-override.patch} (53%)
 rename debian/patches/{40_hdfalt_support.dpatch => 40-hdfalt-support.patch} (74%)
 rename debian/patches/{90_usr_local_cleanup.dpatch => 90-usr-local-cleanup.patch} (81%)
 create mode 100644 debian/patches/series
 create mode 100644 debian/source/format

diff --git a/debian/changelog b/debian/changelog
index bf7b5e3..c712eb4 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,15 @@
+dx (1:4.4.4-4.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
+  * Update to Standards-Version to 3.9.3 and debhelper to 9.
+  * Add build-arch and build-indep targets; use dh_prep in rules file.
+  * Patches 64bit,gcc43, kfreebsd, usr-local were updated with "quilt
+    refresh" to make them apply cleanly.
+  * Patch 05 is new; in-line changes to local sources.
+
+ -- Jari Aalto <jari.aalto@cante.net>  Tue, 24 Apr 2012 22:21:18 +0300
+
 dx (1:4.4.4-4) unstable; urgency=low
 
   * debian/control: Change build dependency from libjpeg62-dev to
diff --git a/debian/compat b/debian/compat
index 7ed6ff8..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-5
+9
diff --git a/debian/control b/debian/control
index ec7f8b2..549d911 100644
--- a/debian/control
+++ b/debian/control
@@ -2,8 +2,8 @@ Source: dx
 Section: science
 Priority: optional
 Maintainer: Daniel Kobras <kobras@debian.org>
-Build-Depends: lesstif2-dev | lesstif-dev | libmotif-dev, libx11-dev, x11proto-core-dev, libxt-dev, libxpm-dev, libxmu-dev, libbz2-dev, libglu-dev, libmagickwand-dev, libpng12-dev, libhdf4-alt-dev | libhdf4-dev, libnetcdf-dev, libxml2-dev, libjpeg-dev, libtiff4-dev | libtiff-dev, zlib1g-dev | libz-dev, flex, bison, m4, autotools-dev, debhelper (>= 5), ed, dpatch, automake, autoconf, libtool
-Standards-Version: 3.8.4
+Build-Depends: lesstif2-dev | lesstif-dev | libmotif-dev, libx11-dev, x11proto-core-dev, libxt-dev, libxpm-dev, libxmu-dev, libbz2-dev, libglu-dev, libmagickwand-dev, libpng12-dev, libhdf4-alt-dev | libhdf4-dev, libnetcdf-dev, libxml2-dev, libjpeg-dev, libtiff4-dev | libtiff-dev, zlib1g-dev | libz-dev, flex, bison, m4, autotools-dev, debhelper (>= 9), ed, automake, autoconf, libtool
+Standards-Version: 3.9.3
 Homepage: http://www.opendx.org/
 
 Package: dx
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..77ad450
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1,13 @@
+10-fix-man-section.patch
+10-invoke-man.patch
+10-64bit-pointer-fixes.patch
+10-kernel-includes-fix.patch
+10-gcc43-build-fix.patch
+10-kfreebsd-build-fixes.patch
+10-magickcore-api.patch
+10-open-mode.patch
+10-autoreconf-fix.patch
+20-magick-pkgconfig.patch
+30-no-shell-override.patch
+40-hdfalt-support.patch
+90-usr-local-cleanup.patch
diff --git a/debian/rules b/debian/rules
index 80dcdff..c0f05cd 100755
--- a/debian/rules
+++ b/debian/rules
@@ -8,7 +8,6 @@
 #export DH_VERBOSE=1
 
 PACKAGE= dx
-include /usr/share/dpatch/dpatch.make
 
 RSH=/usr/bin/ssh
 
@@ -49,8 +48,12 @@ configure-stamp:
 
 	touch configure-stamp
 
+
+build-arch: build
+build-indep: build
+
 build: build-stamp
-build-stamp: patch-stamp configure-stamp
+build-stamp: configure-stamp
 	dh_testdir
 
 	# Compiling displayx.c with -O2 or higher is broken on mips.
@@ -81,7 +84,7 @@ build-stamp: patch-stamp configure-stamp
 
 	touch build-stamp
 
-clean: clean-me-first unpatch
+clean: clean-me-first
 clean-me-first:
 	dh_testdir
 	dh_testroot
@@ -109,7 +112,7 @@ install: install-stamp
 install-stamp: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Install everything into single directory first...
@@ -189,4 +192,4 @@ source diff:
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary patch unpatch clean-me-first
+.PHONY: build clean binary-indep binary-arch binary clean-me-first
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
-- 
1.7.10

